#include "Max.h"
#include "plugapi.h"

#define IKSLAVE_CLASSID Class_ID(0xbe380a31,0x310dc9e4)


class IKClipObject; // Sorry, can't show you this
class IKSlave;  // Sorry, can't show you this
class IKSlaveClipObject : public IKClipObject
{
public:		
	DWORD flags;
	float min[6], max[6], damping[6], spring[6], stens[6];
	
	IKSlaveClipObject(IKSlave *slave);
	SClass_ID SuperClassID() {return CTRL_MATRIX3_CLASS_ID;}
	Class_ID ClassID() {return IKSLAVE_CLASSID;}		
	void DeleteThis() {delete this;}
};